/*
 * css/styles.css
 *
 * Reportigo css file
 *
 * This file is part of Reportigo application
 *
 * Copyright © 2026, Reportigo.com, all rights reserved
 *
 */

:root {

  --global-color: white;
  --global-color-dark: #103880;
  --global-color-dark-transparent: rgba(16, 56, 128, 0.25);
  --global-color-dark-lighter: #7098E0;

  --global-font-family: sans-serif;
  --global-font-size: 1rem;

  --global-input-readonly-background-color: rgba(0, 0, 0, 0.1);
  --global-input-placeholder-color: rgba(16, 56, 128, 0.5);

  --button-padding: calc(var(--global-font-size) * 0.5) var(--global-font-size);
  --button-min-width: calc(var(--global-font-size) * 8);
  --button-color: var(--global-color);
  --button-background-color: var(--global-color-dark);
  --button-background-color-hover: var(--global-color-dark-lighter);
  --button-border: 4px solid var(--global-color-dark);
  --button-font-family: inherit;
  --button-font-size: calc(var(--global-font-size) * 0.85);
  --button-letter-spacing: calc(var(--global-font-size) * 0.1);

  --flag-border: none; /* 1px solid var(--global-color-dark); */
  --flag-border-radius: 2px;

  --menu-color: var(--global-color-dark);
  --menu-color-hover: var(--global-color-dark-lighter);
  --menu-font-family: sans-serif;
  --menu-font-size: calc(var(--global-font-size) * 0.75);
  --menu-text-transform: uppercase;

  --page-color: var(--global-color-dark);
  --page-text-alignment: justify;
  --page-font-family: inherit;

  --page-link-color: var(--global-color-dark-lighter);
  --page-link-color-hover: var(--global-color-dark);

  --page-title-border-bottom: 3px solid var(--global-color-dark);
  --page-subtitle-border-bottom: 1px solid var(--global-color-dark-transparent);

  --footer-color: var(--global-color);
  --footer-background-color: var(--global-color-dark);
  --footer-link-color: yellow;
  --footer-link-color-hover: orange;

  --log-background-color: black;
  --log-font-family: monospace;
  --log-font-size: calc(var(--global-font-size) * 0.75);

  /* OVERWRITE BOOTSTRAP */

  --bs-body-color: var(--global-color-dark);
  --bs-emphasis-color: var(--global-color-dark);
  --bs-border-width: 2px;
  --bs-border-color: #C8CACC;

  /* Minimum width for dropdown frame list */
  --bs-dropdown-min-width: auto;

  /* INPUT placeholder text color */
  --bs-secondary-color: var(--global-input-placeholder-color);
  --bs-secondary-color-rgb: var(--global-input-placeholder-color);
}

/* SYSTEM */

* {
          box-sizing: border-box;
     -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  margin: 0;
  padding: 0;
}

HTML, BODY {
  min-height: 100vh;
  font-family: var(--global-font-family);
  font-size: var(--global-font-size);
}
BODY {
  background: #ffffff url('../img/background.png');
  background-attachment: fixed;
  overflow-x: hidden;
}
IMG {
  max-width: 100%;
}
TABLE {
  font-size: calc(var(--global-font-size) * 0.9);
}
INPUT[type='text'],
INPUT[type='email'],
INPUT[type='password'],
TEXTAREA, SELECT {
  width: 100%;
}
INPUT[readonly], TEXTAREA[readonly], SELECT[readonly] {
    background-color: var(--global-input-readonly-background-color);
    cursor: default;
}

/* DOCUMENT */

.main {
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

/* HEADER */

.header .header-languages BUTTON IMG {
  margin-top: calc(var(--global-font-size) * (-0.4));
}
.header-menu {
  float: left;
}
.header-menu .menu {
  color: var(--menu-color);
  font-size: var(--menu-font-size);
  text-transform: var(--menu-text-transform);
  text-decoration: none;
}
.header-menu .menu-current {
  font-weight: bold;
}
.header-menu .menu:FOCUS {
  text-decoration: underline;
}
.header-menu .menu:HOVER {
  color: var(--menu-color-hover);
  cursor: pointer;
}
.header-languages {
  float: right;
}
.header-languages .header-username {
  display: inline-block;
  color: var(--global-color);
  font-size: calc(var(--global-font-size) * 0.8);
}
.header-languages UL {
  width: max-content;
  white-space: nowrap;
}
.header-languages LI:HOVER {
  background-color: var(--global-color-dark-transparent);
}
.header-languages A {
  text-decoration: none;
}

/* FOOTER */

.footer {
  color: var(--footer-color);
  background-color: var(--footer-background-color);
  font-size: calc(var(--global-font-size) * 0.75);
  line-height: calc(var(--global-font-size) * 0.75);
}
.footer-copyright {
  float: left;
  width: auto;
  text-align: center;
}
.footer-links {
  float: right;
  width: auto;
  text-align: center;
}
.footer-links A {
  color: var(--footer-link-color);
  text-decoration: none;
}
.footer-links A:HOVER {
  color: var(--footer-link-color-hover);
}

/* HOME PAGE*/

.home-logo {
  display: inline-block;
  margin-top: calc(var(--global-font-size) / 2);
  width: calc(var(--global-font-size) * 6);
  height: calc(var(--global-font-size) * 6);
  background-image: url('../img/logo.svg');
  background-repeat: no-repeat;
  background-size: cover;
  vertical-align: top;
}
.home-name {
  color: var(--page-color);
  font-size: calc(var(--global-font-size) * 4);
  font-variant: small-caps;
  letter-spacing: calc(var(--global-font-size) * 0.2);
}
.home-title {
  color: var(--page-color);
  font-size: calc(var(--global-font-size) * 3);
}
.home-subtitle {
  color: var(--page-color);
  font-size: calc(var(--global-font-size) * 1.25);
}
.home-icon {
  width: 88px;
}
.home-big-line {
  border-width: 3px;
  border-radius: 2px;
  opacity: 1;
}
.home-div-dark {
  color: var(--button-color);
  background-color: var(--button-background-color);
}

/* BUTTONS */

.r-button {
  display: inline-block;
  margin-bottom: 0.25rem;
  padding: var(--button-padding);
  min-width: var(--button-min-width);
  color: var(--button-color);
  background-color: var(--button-background-color);
  font-family: var(--button-font-family);
  font-size: var(--button-font-size);
  font-weight: bold;
  line-height: var(--button-font-size);
  letter-spacing: var(--button-letter-spacing);
  border: var(--button-border);
  text-align: center;
}
.r-button:HOVER {
  background-color: var(--button-background-color-hover);
  cursor: pointer;
}

/* PAGE */

.page {
  flex: 1;
  color: var(--page-color);
  background: none;
  text-align: var(--page-text-alignment);
  font-family: var(--page-font-family);
}
.page P {
  text-align: var(--page-text-alignment);
  font-family: var(--page-font-family);
}
.page UL {
  margin-left: var(--global-font-size);
  text-align: var(--page-text-alignment);
  font-family: var(--page-font-family);
}
.page H1 {
  margin-left: calc(var(--global-font-size) * 5);
  margin-bottom: calc(var(--global-font-size) * 2);
  text-align: right;
  font-size: calc(var(--global-font-size) * 2.7);
  line-height: calc(var(--global-font-size) * 2.7 * 1.5);
  font-family: var(--page-font-family);
  border-bottom: var(--page-title-border-bottom);
}
.page H2 {
  margin-bottom: calc(var(--global-font-size) * 1.5);
  text-align: var(--page-text-alignment);
  font-size: calc(var(--global-font-size) * 2.2);
  line-height: calc(var(--global-font-size) * 2.2 * 1.5);
  font-family: var(--page-font-family);
  border-bottom: var(--page-subtitle-border-bottom);
}
.page H3 {
  text-align: var(--page-text-alignment);
  font-size: calc(var(--global-font-size) * 1.75);
  line-height: calc(var(--global-font-size) * 1.75 * 1.5);
  font-family: var(--page-font-family);
}
.page H4 {
  text-align: var(--page-text-alignment);
  font-size: calc(var(--global-font-size) * 1.25);
  line-height: calc(var(--global-font-size) * 1.25 * 1.5);
  font-family: var(--page-font-family);
}
.page A, .page A:VISITED {
  color: var(--page-link-color);
  font-weight: bold;
  text-decoration: none;
}
.page A:HOVER {
  color: var(--page-link-color-hover);
  text-decoration: underline;
}
.title-language-flag {
  margin-top: calc(var(--global-font-size) / 3 * -1);
  margin-right: var(--global-font-size);
  height: calc(var(--global-font-size) * 1.4);
}
.table-language-flag {
  margin: -4px 0 0 0;
  font-size: calc(var(--global-font-size) * 1.4);
  cursor: default;
}
.flag {
  display: inline-block;
  margin-top: calc(var(--global-font-size) * (-0.2));
  padding: 0;
  height: calc(var(--global-font-size) * 1.1);
  border: var(--flag-border);
  border-radius: var(--flag-border-radius);
}
.project-admin-email {
  position: absolute;
  right: calc(var(--global-font-size) * 0.5);
  bottom: calc(var(--global-font-size) * 0.3);
  height: calc(var(--global-font-size) * 2);
  cursor: pointer;
}
.page .left-mini-menu {
  display: block;
  position: fixed;
  top: calc(var(--global-font-size) * 2);
  left: 0;
  z-index: 1000;
  margin: calc(var(--global-font-size) * 0.25);
  padding: calc(var(--global-font-size) * 0.5) calc(var(--global-font-size) * 0.1);
  max-width: calc(var(--global-font-size) * 6.5);
  background-color: var(--global-color);
  border: 2px solid rgba(0, 0, 0, 0.175);
  border-radius: calc(var(--global-font-size) * 0.675);
  list-style: none;
  color: var(--page-color);
}
.page .left-mini-menu LI {
  color: var(--page-color);
  font-size: calc(var(--global-font-size) * 0.6);
}
.page .left-mini-menu LI IMG {
  margin: 0;
  padding: 0;
  height: var(--global-font-size);
}
.page .left-mini-menu LI A {
  color: var(--page-link-color);
  font-size: calc(var(--global-font-size) * 0.6);
}
.page .left-mini-menu LI A:HOVER {
  color: var(--page-link-color-hover);
  text-decoration: none;
}

.project-inactive {
  color: var(--global-color-dark) !important;
  font-style: italic;
}
.credit-input {
  width: calc(var(--global-font-size) * 6);
}
.element-click:HOVER {
  cursor: pointer;
}
.show-group-color {
  display: inline-block;
  padding: calc(var(--global-font-size) * 0.25);
  width: calc(var(--global-font-size) * 3);
  height: calc(var(--global-font-size) * 2);
  border: calc(var(--global-font-size) * 0.3) solid lightgray;
  border-radius: calc(var(--global-font-size) * 0.25);
}
.show-hide-password {
  position: absolute;
  top: 0;
  right: calc(var(--global-font-size) * 0.75);
  font-size: calc(var(--global-font-size) * 1.55);
  cursor: pointer;
}
.text-filter {
  background-color: var(--global-color-dark-transparent);
}
.text-filter INPUT, .text-filter SELECT {
  font-size: calc(var(--global-font-size) * 1.25);
}
.script-def {
  color: var(--global-color-dark);
  text-align: left;
  font-family: monospace;
  font-size: calc(var(--global-font-size) * 0.75);
}
.projects-access-icon {
  height: calc(var(--global-font-size) * 1.2);
}
.table-dark-header THEAD,
.table-dark-header > THEAD > TR,
.table-dark-header > THEAD > TR > TH,
.table-dark-header > THEAD > TR > TD {
  color: var(--global-color);
  background-color: var(--global-color-dark);
}
.button-table {
  margin: 0 calc(var(--global-font-size) * 0.25);
  padding: calc(var(--global-font-size) * 0.5);
  width: calc(var(--global-font-size) * 2.5);
  height: calc(var(--global-font-size) * 2.5);
  line-height: calc(var(--global-font-size) * 1.25);
  font-size: var(--global-font-size);
}
.button-table, .button-table:VISITED  {
  color: var(--global-color) !important;
  font-weight: normal !important;
  text-decoration: none !important;
}
.button-table:HOVER  {
  font-weight: normal !important;
  text-decoration: none !important;
}
/* MESSAGES */

#messages {
  display: inline-block;
  position: fixed;
  margin: 0;
  padding: 0;
  left: 25%;
  top: 0.5rem;
  width: 50%;
  background-color: rgba(0, 0, 0, 0);
  text-align: center;
}
.message {
  margin: 0 0 0.25rem 0;
  padding: 0.5rem 1rem;
  font-size: calc(var(--global-font-size) * 0.75);
  -webkit-animation: hide-after-seconds 0.2s forwards;
  -webkit-animation-iteration-count: 1;
  animation: hide-after-seconds 0.2s forwards;
  animation-iteration-count: 1;
}
@-webkit-keyframes hide-after-seconds {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
    margin: 0;
    padding: 0;
    height: 0;
    border: none;
  }
}
@keyframes hide-after-seconds {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
    margin: 0;
    padding: 0;
    height: 0;
    border: none;
  }
}

/* WIDTHS */

.width-10 {
  width: 9.99%;
}
.width-15 {
  width: 14.99%;
}
.width-20 {
  width: 19.99%;
}
.width-30 {
  width: 29.99%;
}
.width-33 {
  width: 33.33%;
}
.width-35 {
  width: 34.99%;
}
.width-40 {
  width: 39.99%;
}
.width-50 {
  width: 49.99%;
}
.width-60 {
  width: 59.99%;
}
.width-66 {
  width: 66.66%;
}
.width-70 {
  width: 69.99%;
}
.width-80 {
  width: 79.99%;
}
.width-90 {
  width: 89.99%;
}

/* LOGS */

.logs {
  display: inline-block;
  width: 100%;
  background-color: var(--log-background-color);
}
.log {
  padding: 2px;
  color: #a0a0a0;
  font-family: var(--log-font-family);
  font-size: var(--log-font-size);
  line-height: var(--log-font-size);
  white-space: pre-wrap;
}
.log-light {
  color: lightgray;
}
.log-success {
  color: #40ff40;
}
.log-primary {
  color: cyan;
}
.log-warning {
  color: orange;
}
.log-danger {
  color: #ff3030;
}
.log-secondary {
  color: lightgray;
  background-color: red;
}
.log-alert {
  color: white;
  background-color: red;
}
.log-dark {
  color: yellow;
  background-color: red;
}

/* OVERWRITE BOOTSTRAP */

.text-bg-primary {
  background-color: var(--global-color-dark) !important;
}
.border-primary {
  border-color: var(--global-color-dark) !important;
}
.btn-primary, .btn-primary:active, .btn-primary:visited, .btn-primary:focus {
  color: var(--button-color);
  background-color: var(--button-background-color);
  border-color: var(--button-background-color);
}
.btn-primary:hover {
  background-color: var(--button-background-color-hover);
  border-color: var(--button-background-color);
}
.form-switch {
  color: var(--button-background-color);
  background-color: rgba(255, 255, 255, 0);
  border-color: var(--button-background-color);
}
.form-check-input:checked {
  color: var(--button-background-color);
  background-color: var(--button-background-color);
  border-color: var(--button-background-color);
}
.table-hover tbody tr:hover td, .table-hover tbody tr:hover th {
  background-color: var(--global-color-dark-transparent);
}

/* RESPONSIVE */

/* BOOTSTRAP LG */
@media only screen and (max-width: 992px) {

  TABLE, THEAD, TBODY, TFOOT, TH, TD, TR {
    display: block;
    text-align: center;
    width: 100% !important;
  }
  TABLE BUTTON,
  TABLE .button-table {
    margin: calc(var(--log-font-size) / 2) calc(var(--log-font-size) * 2);
  }
  TABLE BUTTON {
    margin: 0;
    width: 100%;
  }
}

/* BOOTSTRAP MD */
@media only screen and (max-width: 768px) {

  :root {
    --global-font-size: 0.9rem;
  }
  .home-name {
    font-size: calc(var(--global-font-size) * 3);
  }
  .home-title {
    font-size: calc(var(--global-font-size) * 2.5);
  }
  .home-icon {
    width: 60px;
  }
  .languages IMG {
    width: 16px;
  }
  .footer-copyright {
    float: left;
    width: 100%;
  }
  .footer-links {
    float: right;
    width: 100%;
  }
}

/* BOOTSTRAP SM */
@media only screen and (max-width: 576px) {

  :root {
    --button-font-size: 0.7rem;
    --button-min-width: 6rem;
  }

  .show-hide-password {
    font-size: calc(var(--global-font-size) * 1.75);
  }

  TABLE BUTTON,
  TABLE .button-table {
    margin: calc(var(--log-font-size) / 2) calc(var(--log-font-size) * 0.3);
  }
}
